org.apache.cassandra.cql3

## Class UTName

- java.lang.Object
- - org.apache.cassandra.cql3.UTName

-     public class UTName
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UTName(ColumnIdentifier ksName, ColumnIdentifier utName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKeyspace()`
    `java.lang.String` | `getStringTypeName()`
    `java.nio.ByteBuffer` | `getUserTypeName()`
    `boolean` | `hasKeyspace()`
    `void` | `setKeyspace(java.lang.String keyspace)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UTName

          public UTName(ColumnIdentifier ksName,
                        ColumnIdentifier utName)

  - ### Method Detail

    - #### hasKeyspace

          public boolean hasKeyspace()

    - #### setKeyspace

          public void setKeyspace(java.lang.String keyspace)

    - #### getKeyspace

          public java.lang.String getKeyspace()

    - #### getUserTypeName

          public java.nio.ByteBuffer getUserTypeName()

    - #### getStringTypeName

          public java.lang.String getStringTypeName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation